Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.editor.enums
Enum Mode

    java.lang.Object
      java.lang.Enum<Mode>
          de.rico.editor.enums.Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Mode>

    public enum Mode

extends java.lang.Enum<Mode>

An enumeration containing the posiible editor modes.

Author:
  Frank Bruns

Enum Constant Summary
`CONSTRUCTION`
`PATH_CREATOR`
`PATH_GRID`
`RECORDER`
`TRIGGER`

Method Summary
`static Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSTRUCTION

    public static final Mode CONSTRUCTION

### RECORDER

    public static final Mode RECORDER

### PATH_GRID

    public static final Mode PATH_GRID

### PATH_CREATOR

    public static final Mode PATH_CREATOR

### TRIGGER

    public static final Mode TRIGGER

Method Detail

### values

    public static final Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Mode c : Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD